//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * プリミティブテスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Core/Primitive/CorePrimitiveAllTests.h"
#include "Core/Primitive/StringTest.h"
#include "Core/Primitive/BitSetTest.h"
#include "Core/Primitive/Color3cTest.h"
#include "Core/Primitive/Color4cTest.h"
#include "Core/Primitive/Color3fTest.h"
#include "Core/Primitive/Color4fTest.h"
#include "Core/Primitive/DimensionITest.h"
#include "Core/Primitive/DimensionFTest.h"
#include "Core/Primitive/RectangleITest.h"
#include "Core/Primitive/RectangleFTest.h"
#include "Core/Primitive/Vector3Test.h"
#include "Core/Primitive/Matrix33Test.h"
#include "Core/Primitive/Matrix34Test.h"
#include "Core/Primitive/Matrix44Test.h"
#include "Core/Primitive/QuaternionTest.h"
#include "Core/Primitive/TexCoord1Test.h"
#include "Core/Primitive/TexCoord2Test.h"
#include "Core/Primitive/TexCoord3Test.h"
#include "Core/Primitive/TexCoord4Test.h"

//------------------------------------------------------------------------------
// コンストラクタ
CorePrimitiveAllTests::CorePrimitiveAllTests() :
	TestSuite("CorePrimitiveAllTests"){
	// 文字列のテスト
	addTest(StringTest::suite());
	// ビットセットのテスト
	addTest(BitSetTest::suite());
	// 三要素キャラクタカラーのテスト
	addTest(Color3cTest::suite());
	// 四要素キャラクタカラーのテスト
	addTest(Color4cTest::suite());
	// 三要素実数カラーのテスト
	addTest(Color3fTest::suite());
	// 四要素実数カラーのテスト
	addTest(Color4fTest::suite());
	// 整数寸法のテスト
	addTest(DimensionITest::suite());
	// 実数寸法のテスト
	addTest(DimensionFTest::suite());
	// 整数矩形テスト
	addTest(RectangleITest::suite());
	// 実数矩形テスト
	addTest(RectangleFTest::suite());
	// 三次元ベクトルのテスト
	addTest(Vector3Test::suite());
	// 3×3行列のテスト
	addTest(Matrix33Test::suite());
	// 3×4行列のテスト
	addTest(Matrix34Test::suite());
	// 4×4行列のテスト
	addTest(Matrix44Test::suite());
	// 四元数のテスト
	addTest(QuaternionTest::suite());
	// 一次元テクスチャ座標のテスト
	addTest(TexCoord1Test::suite());
	// 二次元テクスチャ座標のテスト
	addTest(TexCoord2Test::suite());
	// 三次元テクスチャ座標のテスト
	addTest(TexCoord3Test::suite());
	// 四次元テクスチャ座標のテスト
	addTest(TexCoord4Test::suite());
}
//------------------------------------------------------------------------------
